Bug 474014 - GDM changes layout after the username prompt before entering password
GDM changes layout after the username prompt before entering password
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
: Triaged
Depends On: 474010 603958 628462
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 14:28 EST by Lev Shamardin
Modified: 2015-01-14 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 08:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2008-12-01 14:28:36 EST
Description of problem:
If you select "Russian" keyboard during system installation then gdm is configured to use Russian input for user names and passwords by default. If you follow the recipe from bug #474011 you may switch layout to english, just to discover that you have to repeat those steps again before entering password.

Version-Release number of selected component (if applicable):
gdm-2.24.0-12.fc10.i386

How reproducible:
always?

Steps to Reproduce:
1. install a fresh fedora system using "Russian" keyboard. Don't be afraid, it won't affect the installation since during installation you will have US english layout with this selection anyway.
2. try to enter a login name when you get that far. Select "USA" keyboard from the list.
3. Enter correct password.
4. Admit that it was entered in wrong keyboard layout.
5. Enter login again, but don't forget to double-switch (see #474011) layout before entering password.
6. Now you have logged in.
  
Actual results:
You are entering funny cyrillic characters at the password prompt though you just selected a USA keyboard for the login name.

Expected results:
The layout does not change between entering user name and password.

Additional info:
https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00047.html
Comment 1 Tim Li 2009-08-04 22:07:54 EDT
This bug would be solved by solving bug 474010 first. Bug 474010 would make the default layout of GDM English. Therefore, that would eliminate the need to "double-switch."

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-11-18 02:47:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jens Petersen 2009-11-24 03:15:38 EST
Not but think this might be fixed/better now?
Comment 4 Lev Shamardin 2009-12-01 08:30:11 EST
Tried on fresh F12 installation, seems to be kind of fixed - there default
layout is english even if you select Russian keyboard during installation, and
there is no way to switch.

Note You need to log in before you can comment on or make changes to this bug.